Bug 114662 - /etc/rc.d/init.d/nfs probe doesn't produce correct output
/etc/rc.d/init.d/nfs probe doesn't produce correct output
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: nfs-utils (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-30 15:17 EST by Bill Peck
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-24 13:47:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2004-01-30 15:17:54 EST
Description of problem:
If nfs is already running then doing /etc/rc.d/init.d/nfs probe should
return at least the option restart.  it does not.  the only text
possibly to get out of probe is 'start' or 'reload'.

Version-Release number of selected component (if applicable):
nfs-utils-0.3.3-7.21AS all the way to nfs-utils-1.0.6-1

How reproducible:
everytime

Steps to Reproduce:
1. start nfs
2.  /etc/rc.d/init.d/nfs probe or service nfs probe
3. 
  
Actual results:
no text

Expected results:
should return the text restart. (possibly reload if /etc/exports has
been updated.  This part does work)

Additional info:
This has caused our automated cerberus testing to fail.
Comment 1 Steve Dickson 2004-06-24 13:47:35 EDT
Kill rpc.mountd and service nfs probe will return "restart"

Note You need to log in before you can comment on or make changes to this bug.